#pragma once

//! @file Mix/Noncopyable.h
//! @brief コピー禁止クラスインクルードファイル

namespace Mix{

	//! @class Noncopyable
	//! @brief コピー禁止クラス
	class _MIX_DLL_API Noncopyable
	{
	private:
		Noncopyable( const Noncopyable& obj ) {}
		Noncopyable& operator = ( const Noncopyable& obj ) { return *this; }

	public:
		//! @brief コンストラクタ
		Noncopyable( void ) {}
		//! @brief デストラクタ
		virtual ~Noncopyable( void ) {}
	};
}
